Lewati ke konten

Create entity (typeIds + name; optional email / whatsappNo / custom field values)

POST
/api/dash/{orgId}/entities
curl --request POST \
--url https://api.medivy.id/api/dash/example/entities \
--header 'Content-Type: application/json' \
--header 'x-api-key: <x-api-key>' \
--data '{ "typeIds": [ "example" ], "name": "example", "email": "example", "whatsappNo": "example", "legalName": "example", "alias": "example", "note": "example", "description": "example", "tags": "example", "color": "example", "outletId": "example", "parentId": "example", "ownerId": "example", "imageId": "example", "coverImageId": "example", "access": "private", "isActive": true, "extraData": { "additionalProperty": "example" }, "values": [ { "customFieldId": "example", "value": "example" } ] }'
orgId
required
string

Your organization ID. The API key must belong to this organization.

Media typeapplication/json
object
typeIds
required
Array<string>
>= 1 items
name
required
string
>= 1 characters
email
string | null
whatsappNo
string | null
legalName
string | null
alias
string | null
note
string | null
description
string | null
tags
string | null
color
string | null
outletId
string | null
parentId
string | null
ownerId
string | null
imageId
string | null
coverImageId
string | null
access
string
Allowed values: private public-read public-write
isActive
boolean
extraData
object
key
additional properties
values
Array<object>
object
customFieldId
required
string
>= 1 characters
value
required
Any of:
string

Created

Media typeapplication/json

Example generated

example

Missing, invalid, disabled or expired API key.

Media typeapplication/json
object
ok
message
string

Example

{
"ok": false
}

The key belongs to another organization, the request came from an IP outside the key’s allowlist, or the key’s user lacks the permission.

Media typeapplication/json
object
ok
message
string

Example

{
"ok": false
}

Too many requests from this organization.

Media typeapplication/json
object
ok
message
string

Example

{
"ok": false
}